Bug 518643 - livecd-iso-to-pxeboot initrd doesn't boot
Summary: livecd-iso-to-pxeboot initrd doesn't boot
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: livecd-tools
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-21 12:44 UTC by Jonathan Dieter
Modified: 2009-11-11 17:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-09 20:24:20 UTC


Attachments (Terms of Use)

Description Jonathan Dieter 2009-08-21 12:44:32 UTC
I create a (minimal) livecd, run livecd-iso-to-pxeboot on it, and copy the vmlinuz0 and initrd0.img to our PXE server, along with the flags from pxelinux.cfg

When I try to boot a computer off of the pxe image, the last thing I see on the screen is "creating devices", and then:

mount: Could not find any loop device. Maybe this kernel does not know
       about the loop device? (If so, recompile or `modprobe loop'.)

At this point it drops me to an emergency shell.

If I modify /sbin/real-init like this:

@@hand-made diff - don't try to apply@@
    echo "creating devices"
 fi
 /sbin/udevadm trigger
+/bin/sleep 5
 
 if [ "$shell" == "1" ] ; then
     plymouth --hide-splash || :
@@

everything works fine (though I have a five-second delay on boot).  Obviously, /dev/loop* aren't being created by udev in time for the mount command without the five-second delay.

After some more poking around, I replaced /bin/sleep 5 with:
/sbin/udevadm settle

and it fixed the problem.  Not sure why this hasn't come up before.

Version-Release number of selected component (if applicable):
livecd-tools-024-1.fc11.x86_64

How reproducible:
Always

Comment 1 Jonathan Dieter 2009-09-11 13:49:34 UTC
Ping.  Would love to get this fixed so I don't have to fix it myself any more.

Comment 2 Warren Togami 2009-11-09 20:24:20 UTC
I'm guessing your initrd is missing things necessary for netboot?  Your "minimal" livecd is too minimal.  You need dracut-network and its dependencies.


Note You need to log in before you can comment on or make changes to this bug.